Bug 977565 - Some alignment and html rendering issues in the content search page
Some alignment and html rendering issues in the content search page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
bmorriso
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 19:00 EDT by Og Maciel
Modified: 2014-04-24 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rendering issues (83.87 KB, image/png)
2013-06-24 19:00 EDT, Og Maciel
no flags Details
content search aligned correctly (62.04 KB, image/png)
2013-10-21 14:02 EDT, bmorriso
no flags Details

  None (edit)
Description Og Maciel 2013-06-24 19:00:09 EDT
Created attachment 764799 [details]
Rendering issues

Description of problem:

Some of our recent changes to the Content Search page have introduced the following issues:

* Rows are not aligned properly
* Tooltip for package names (should also apply to Errata names) show html content

Hopefully the attached screenshot will show these clearly

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10014-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-postgresql-1.1.10014-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-10.f5ae2cd.el6sat.noarch
* katello-1.4.2-18.el6sat.noarch
* katello-all-1.4.2-18.el6sat.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-8.el6sat.noarch
* katello-cli-common-1.4.2-8.el6sat.noarch
* katello-common-1.4.2-18.el6sat.noarch
* katello-configure-1.4.3-16.el6sat.noarch
* katello-configure-foreman-1.4.3-16.el6sat.noarch
* katello-foreman-all-1.4.2-18.el6sat.noarch
* katello-glue-candlepin-1.4.2-18.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-18.el6sat.noarch
* katello-glue-pulp-1.4.2-18.el6sat.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.2-1.el6sat.noarch
* pulp-selinux-2.1.2-1.el6sat.noarch
* pulp-server-2.1.2-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* ruby193-rubygem-runcible-0.4.10-1.el6sat.noarch
* signo-0.0.19-1.el6sat.noarch
* signo-katello-0.0.19-1.el6sat.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brad Buckingham 2013-06-24 19:20:51 EDT
I was able to see the same issue on katello master.

Go to: Content -> Content Search
Select: Content -> Packages
Click 'Refresh Results'
Click on 'Packages' (Under an environment, associated with a repo)
Hover over a package name
Comment 3 Eric Helms 2013-09-17 17:06:55 EDT
This appears to have been fixed at some point in the latest upstream code base.
Comment 5 bmorriso 2013-10-21 14:02:39 EDT
Created attachment 814724 [details]
content search aligned correctly

The content search results now align correctly and the mouseover pop-up no longer renders as HTML.
Comment 6 Bryan Kearney 2014-04-24 13:09:01 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 7 Bryan Kearney 2014-04-24 13:10:37 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.